sky2 ethernet card doesn't work after returning from suspend

Bug #1807259 reported by Richard on 2018-12-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

I am on "Linux Mint 18.2 Sonya".

Upgrading to Kernel 4.15.0-39.42~16.04.1 leaves the ethernet adapter inactive after resume from suspend. I reverted to a 4.13 kernel for this reason for which it works.

the bug seems to be similar to https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1798921.

$ lshw -class network
WARNUNG: Sie sollten dieses Programm mit Systemverwalterrechten (root) ausführen.
  *-network DEAKTIVIERT
       Beschreibung: Kabellose Verbindung
       Produkt: BCM4312 802.11b/g LP-PHY
       Hersteller: Broadcom Corporation
       Physische ID: 0
       Bus-Informationen: pci@0000:0c:00.0
       Logischer Name: wlp12s0
       Version: 01
       Seriennummer: 00:26:5e:33:a9:6d
       Breite: 64 bits
       Takt: 33MHz
       Fähigkeiten: bus_master cap_list ethernet physical wireless
       Konfiguration: broadcast=yes driver=wl0 driverversion=6.30.223.271 (r587334) latency=0 multicast=yes wireless=IEEE 802.11
       Ressourcen: irq:17 memory:f69fc000-f69fffff
  *-network
       Beschreibung: Ethernet interface
       Produkt: 88E8040 PCI-E Fast Ethernet Controller
       Hersteller: Marvell Technology Group Ltd.
       Physische ID: 0
       Bus-Informationen: pci@0000:09:00.0
       Logischer Name: enp9s0
       Version: 13
       Seriennummer: 00:25:64:4a:26:00
       Größe: 100Mbit/s
       Kapazität: 100Mbit/s
       Breite: 64 bits
       Takt: 33MHz
       Fähigkeiten: bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       Konfiguration: autonegotiation=on broadcast=yes driver=sky2 driverversion=1.30 duplex=full ip=192.168.1.7 latency=0 link=yes multicast=yes port=twisted pair speed=100Mbit/s
       Ressourcen: irq:24 memory:f68fc000-f68fffff ioport:de00(Größe=256)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1807259

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Richard (richard1024) wrote :

I am using Linux Mint, where apport is not installed. Does it make sense to install and run the command?

Kai-Heng Feng (kaihengfeng) wrote :

Yes, please attach dmesg that contains messages after suspend.

Richard (richard1024) wrote :

Hi,

I attached the dmesg output after resuming from suspend. The network card is not working at that point in time. I assume it doesn't make sense to run apport at that time as there is no network connection. If you require apport being run nevertheless please tell me at which state you require running it. I can re-activate the network card by running:

sudo service network-manager restart
sudo modprobe -r sky2
sudo modprobe sky2

after resume. However this is no option for other users on the system.

Kind Regards
Richard

Richard (richard1024) on 2019-01-05
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Kai-Heng Feng (kaihengfeng) wrote :

Ok, seems like sky2 has an option to disable MSI.

Please boot with kernel parameter "sky2.disable_msi=1" and see if this helps.

Richard (richard1024) wrote :

Yes, this helps.

Will there be a fix for this which doesn't require to set kernel parameters? As well do you know what changed between kernel 4.13 and 4.15? I had a brief look at the sky2 driver git history in the kernel and I didn't see a suspicious related change.

Kai-Heng Feng (kaihengfeng) wrote :

Please test the kernel without the "disable_msi" options:
https://people.canonical.com/~khfeng/linux-lp1807259-sky2-msi/

Changed in linux (Ubuntu Disco):
status: Confirmed → Fix Committed
kris (ski007) wrote :

kernel does not work for me
https://people.canonical.com/~khfeng/linux-lp1807259-sky2-msi/
uname -a
Linux kris-R780 4.15.0-46-generic #49 SMP Wed Feb 20 22:13:32 CST 2019 x86_64 x86_64 x86_64 GNU/Linux
dmesg after suspend
[ 63.757697] PM: suspend exit
[ 63.785503] IPv6: ADDRCONF(NETDEV_UP): enp6s0: link is not ready
[ 63.789191] sky2 0000:06:00.0 enp6s0: enabling interface
[ 63.790121] IPv6: ADDRCONF(NETDEV_UP): enp6s0: link is not ready
[ 63.793180] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[ 63.809441] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[ 63.980767] IPv6: ADDRCONF(NETDEV_UP): wlp2s0: link is not ready
[ 66.391345] do_IRQ: 3.34 No irq handler for vector

internet not working !

kris (ski007) wrote :

the option works for me

GRUB_CMDLINE_LINUX_DEFAULT="pci=nomsi,noaer"

??? :-)
regards!

Kai-Heng Feng (kaihengfeng) wrote :

kris,

Please file a new bug report. This is platform specific.

Launchpad Janitor (janitor) wrote :
Download full text (10.9 KiB)

This bug was fixed in the package linux - 5.0.0-8.9

---------------
linux (5.0.0-8.9) disco; urgency=medium

  * linux: 5.0.0-8.9 -proposed tracker (LP: #1819759)

  * hisi_sas: add debugfs support (LP: #1819500)
    - scsi: hisi_sas: Create root and device debugfs directories
    - scsi: hisi_sas: Alloc debugfs snapshot buffer memory for all registers
    - scsi: hisi_sas: Take debugfs snapshot for all regs
    - scsi: hisi_sas: Debugfs global register create file and add file operations
    - scsi: hisi_sas: Add debugfs for port registers
    - scsi: hisi_sas: Add debugfs CQ file and add file operations
    - scsi: hisi_sas: Add debugfs DQ file and add file operations
    - scsi: hisi_sas: Add debugfs IOST file and add file operations
    - scsi: hisi_sas: No need to check return value of debugfs_create functions
    - scsi: hisi_sas: Fix type casting and missing static qualifier in debugfs
      code
    - scsi: hisi_sas: Add debugfs ITCT file and add file operations

  * [disco] hns driver updates from 5.1 merge window (LP: #1819535)
    - net: hns: Use struct_size() in devm_kzalloc()
    - net: hns3: modify enet reinitialization interface
    - net: hns3: remove unused member in struct hns3_enet_ring
    - net: hns3: remove unnecessary hns3_adjust_tqps_num
    - net: hns3: reuse reinitialization interface in the hns3_set_channels
    - net: hns3: add interface hclge_tm_bp_setup
    - net: hns3: modify parameter checks in the hns3_set_channels
    - net: hns3: remove redundant codes in hclge_knic_setup
    - net: hns3: fix user configuration loss for ethtool -L
    - net: hns3: adjust the use of alloc_tqps and num_tqps
    - net: hns3: fix wrong combined count returned by ethtool -l
    - net: hns3: do reinitialization while ETS configuration changed
    - net: hns3: add HNAE3_RESTORE_CLIENT interface in enet module
    - net: hns3: add calling roce callback function when link status change
    - net: hns3: add rx multicast packets statistic
    - net: hns3: refactor the statistics updating for netdev
    - net: hns3: fix rss configuration lost problem when setting channel
    - net: hns3: fix for shaper not setting when TC num changes
    - net: hns3: fix bug of ethtool_ops.get_channels for VF
    - net: hns3: clear param in ring when free ring
    - net: hns3: Change fw error code NOT_EXEC to NOT_SUPPORTED
    - net: hns3: do not return GE PFC setting err when initializing
    - net: hns3: add ETS TC weight setting in SSU module
    - net: hns3: add statistics for PFC frames and MAC control frames
    - net: hns3: fix PFC not setting problem for DCB module
    - net: hns3: don't update packet statistics for packets dropped by hardware
    - net: hns3: clear pci private data when unload hns3 driver
    - net: hns3: add error handling in hclge_ieee_setets
    - net: hns3: fix return value handle issue for hclge_set_loopback()
    - net: hns3: fix broadcast promisc issue for revision 0x20
    - net: hns3: After setting the loopback, add the status of getting MAC
    - net: hns3: do reinitialization while mqprio configuration changed
    - net: hns3: remove dcb_ops->map_update in hclge_dcb
    - net: hns3: call hns3_nic_set_real_num_queue ...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Changed in linux (Ubuntu Bionic):
status: New → Fix Committed
Changed in linux (Ubuntu Cosmic):
status: New → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-cosmic' to 'verification-done-cosmic'. If the problem still exists, change the tag 'verification-needed-cosmic' to 'verification-failed-cosmic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-cosmic
tags: added: verification-needed-bionic

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (11.2 KiB)

This bug was fixed in the package linux - 4.15.0-55.60

---------------
linux (4.15.0-55.60) bionic; urgency=medium

  * linux: 4.15.0-55.60 -proposed tracker (LP: #1834954)

  * Request backport of ceph commits into bionic (LP: #1834235)
    - ceph: use atomic_t for ceph_inode_info::i_shared_gen
    - ceph: define argument structure for handle_cap_grant
    - ceph: flush pending works before shutdown super
    - ceph: send cap releases more aggressively
    - ceph: single workqueue for inode related works
    - ceph: avoid dereferencing invalid pointer during cached readdir
    - ceph: quota: add initial infrastructure to support cephfs quotas
    - ceph: quota: support for ceph.quota.max_files
    - ceph: quota: don't allow cross-quota renames
    - ceph: fix root quota realm check
    - ceph: quota: support for ceph.quota.max_bytes
    - ceph: quota: update MDS when max_bytes is approaching
    - ceph: quota: add counter for snaprealms with quota
    - ceph: avoid iput_final() while holding mutex or in dispatch thread

  * QCA9377 isn't being recognized sometimes (LP: #1757218)
    - SAUCE: USB: Disable USB2 LPM at shutdown

  * hns: fix ICMP6 neighbor solicitation messages discard problem (LP: #1833140)
    - net: hns: fix ICMP6 neighbor solicitation messages discard problem
    - net: hns: fix unsigned comparison to less than zero

  * Fix occasional boot time crash in hns driver (LP: #1833138)
    - net: hns: Fix probabilistic memory overwrite when HNS driver initialized

  * use-after-free in hns_nic_net_xmit_hw (LP: #1833136)
    - net: hns: fix KASAN: use-after-free in hns_nic_net_xmit_hw()

  * hns: attempt to restart autoneg when disabled should report error
    (LP: #1833147)
    - net: hns: Restart autoneg need return failed when autoneg off

  * systemd 237-3ubuntu10.14 ADT test failure on Bionic ppc64el (test-seccomp)
    (LP: #1821625)
    - powerpc: sys_pkey_alloc() and sys_pkey_free() system calls
    - powerpc: sys_pkey_mprotect() system call

  * [UBUNTU] pkey: Indicate old mkvp only if old and curr. mkvp are different
    (LP: #1832625)
    - pkey: Indicate old mkvp only if old and current mkvp are different

  * [UBUNTU] kernel: Fix gcm-aes-s390 wrong scatter-gather list processing
    (LP: #1832623)
    - s390/crypto: fix gcm-aes-s390 selftest failures

  * System crashes on hot adding a core with drmgr command (4.15.0-48-generic)
    (LP: #1833716)
    - powerpc/numa: improve control of topology updates
    - powerpc/numa: document topology_updates_enabled, disable by default

  * Kernel modules generated incorrectly when system is localized to a non-
    English language (LP: #1828084)
    - scripts: override locale from environment when running recordmcount.pl

  * [UBUNTU] kernel: Fix wrong dispatching for control domain CPRBs
    (LP: #1832624)
    - s390/zcrypt: Fix wrong dispatching for control domain CPRBs

  * CVE-2019-11815
    - net: rds: force to destroy connection if t_sock is NULL in
      rds_tcp_kill_sock().

  * Sound device not detected after resume from hibernate (LP: #1826868)
    - drm/i915: Force 2*96 MHz cdclk on glk/cnl when audio power is enabled
    - drm/i915: Save the old CDCLK atomic state
...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments